#!/bin/bash
#
# $Header: /CVSROOT/public/scylla-charybdis/md5backup/bin/backup.sh,v 1.3 2004/01/11 20:29:29 tino Exp $
#
# This is *my* backup script.
# It backs up all files *except* in following directory-trees:
#
# /backup
# /proc
# /mnt
#
# Output is written to /backup/md5backup/
#
# -Tino
#
# $Log: backup.sh,v $
# Revision 1.3  2004/01/11 20:29:29  tino
# Release candidate: Added features:
# Autoignore and stay in local filesystem
#
# Revision 1.2  2004/01/07 12:05:09  tino
# Scripts improved, some spelling corrections, and CVS headers added.
# md5backup.c now has a sanity check which slows down things factor 10.

getpath()
{
( cd "`dirname "$0"`"; cd "`/bin/pwd`"; cd "$1"; /bin/pwd; )
}

MD5BACKUP="`getpath ..`/md5backup"
if [ ! -x "$MD5BACKUP" ]
then
	echo "cannot locate md5backup utility: $MD5BACKUP"
	exit 1
fi

backupper()
{
i=0
a=""
while	let i=i+1
	[ $i -le $# ]
do
	eval v=\"\$$i\"
#	echo "$i: $v"
	case "$v" in
	/backup   | /proc   | /mnt)	continue;;
	/backup/* | /proc/* | /mnt/*)	continue;;
	esac
	[ -L "$v" -o ! -d "$v" ] && continue
	a="$a \"\$$i\""
done
eval \"\$MD5BACKUP\" /backup/md5backup/ \"\`hostname -f\`\" $a
}

backupper `df -P | awk '/^[/]/ { print $6 }'`
